## org.biojava.naming
Class ObdaUriParser

    java.lang.Object
      org.biojava.naming.ObdaUriParser

All Implemented Interfaces:
  javax.naming.NameParser

    public class ObdaUriParser

extends java.lang.Object
implements javax.naming.NameParser

Singleton class for parsers that understand OBDA URIs.

Author:
  Matthew Pocock

Method Summary
`static ObdaUriParser` `getInstance()`
`javax.naming.Name` `parse(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ObdaUriParser getInstance()

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `parse` in interface `javax.naming.NameParser`
  Throws:
    `javax.naming.NamingException`